Bug 26653 - Media controls should use -webkit-box, to easily support control bar element removal.
Summary: Media controls should use -webkit-box, to easily support control bar element ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: Pierre d'Herbemont
URL:
Keywords:
Depends on:
Blocks: 26659
  Show dependency treegraph
 
Reported: 2009-06-23 11:05 PDT by Pierre d'Herbemont
Modified: 2009-06-25 18:06 PDT (History)
1 user (show)

See Also:


Attachments
patch 1/2 - v1. (8.53 KB, patch)
2009-06-23 13:53 PDT, Pierre d'Herbemont
no flags Details | Formatted Diff | Diff
patch 1/2 - v2. (6.70 KB, patch)
2009-06-23 13:54 PDT, Pierre d'Herbemont
no flags Details | Formatted Diff | Diff
patch 2/2 - v1. (14.15 KB, patch)
2009-06-23 13:56 PDT, Pierre d'Herbemont
no flags Details | Formatted Diff | Diff
patch 1/2 - v3. (6.85 KB, patch)
2009-06-23 15:21 PDT, Pierre d'Herbemont
eric: review+
Details | Formatted Diff | Diff
patch 2/2 - v2. (14.76 KB, patch)
2009-06-23 15:22 PDT, Pierre d'Herbemont
eric: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre d'Herbemont 2009-06-23 11:05:02 PDT
Media controls should use -webkit-box, to easily support control bar element removal without having to rewrite the whole stylesheet.

It also mean that from code we could disable some buttons that are not supposed to be here.
Comment 1 Pierre d'Herbemont 2009-06-23 13:53:09 PDT
Created attachment 31732 [details]
patch 1/2 - v1.

First half of the patch. (Doesn't include layout changes)
Comment 2 Pierre d'Herbemont 2009-06-23 13:54:50 PDT
Created attachment 31733 [details]
patch 1/2 - v2.
Comment 3 Pierre d'Herbemont 2009-06-23 13:56:17 PDT
Created attachment 31734 [details]
patch 2/2 - v1.

Attached the test update.
Comment 4 Pierre d'Herbemont 2009-06-23 15:04:09 PDT
<rdar://problem/6999737>
Comment 5 Pierre d'Herbemont 2009-06-23 15:21:39 PDT
Created attachment 31742 [details]
patch 1/2 - v3.

With changelog and without space between CSS rules.
Comment 6 Pierre d'Herbemont 2009-06-23 15:22:10 PDT
Created attachment 31743 [details]
patch 2/2 - v2.

This time with a ChangeLog
Comment 7 Eric Seidel (no email) 2009-06-23 17:38:26 PDT
Comment on attachment 31742 [details]
patch 1/2 - v3.

Fine with me.  Obviously you need to update the test results.
Comment 8 Eric Seidel (no email) 2009-06-23 17:38:53 PDT
Comment on attachment 31743 [details]
patch 2/2 - v2.

r=me
Comment 9 Pierre d'Herbemont 2009-06-23 17:40:32 PDT
(In reply to comment #7)
> (From update of attachment 31742 [details] [review])
> Fine with me.  Obviously you need to update the test results.

Well, I probably forgot some issues on Windows... I fear that the button might have an extra border there. I'll have to check.
Comment 10 Pierre d'Herbemont 2009-06-24 12:29:55 PDT
On Windows and Mac OS this changes needs to be coordinated with a WebKitSystemInterface change.
Comment 11 Eric Seidel (no email) 2009-06-24 18:49:42 PDT
Pierre, I assume you have commit-bit and will commit these patches yourself?
Comment 12 Pierre d'Herbemont 2009-06-24 19:21:13 PDT
(In reply to comment #11)
> Pierre, I assume you have commit-bit and will commit these patches yourself?

Nope... I don't have commit access.

Pierre.
Comment 13 Eric Seidel (no email) 2009-06-25 17:08:44 PDT
If these are going to change tests, why are the test changes not included in the diffs?
Comment 14 Pierre d'Herbemont 2009-06-25 17:17:10 PDT
(In reply to comment #13)
> If these are going to change tests, why are the test changes not included in
> the diffs?

Well, no special reason. The two patches should be applied and committed at once.

Note, simon is taking care of this for now.
Comment 15 Simon Fraser (smfr) 2009-06-25 18:06:48 PDT
http://trac.webkit.org/changeset/45228